libssh: The libssh API

libssh 0.7.5

Modules | Functions
The libssh API

The libssh library is implementing the SSH protocols and some of its extensions. More...

## Modules
| The libssh callbacks
| Callback which can be replaced in libssh.
| The SSH authentication functions.
| Functions to authenticate with a server.
| The SSH buffer functions.
| Functions to handle SSH buffers.
| The SSH channel functions
| Functions that manage a SSH channel.
| The SSH error functions.
| Functions for error handling.
| The SSH logging functions.
| Logging functions for debugging and problem resolving.
| The SSH message functions
| This file contains the message parsing utilities for client and server programs using libssh.
| The SSH helper functions.
| Different helper functions used in the SSH Library.
| The SSH Public Key Infrastructure
| Functions for the creation, importation and manipulation of public and private keys in the context of the SSH protocol.
| The SSH poll functions.
| Add a generic way to handle sockets asynchronously.
| The SSH scp functions
| SCP protocol over SSH functions.
| The SSH session functions.
| Functions that manage a session.
| The SSH string functions
| String manipulations used in libssh.
| The SSH threading functions.
| Threading with libssh.

## Functions
int | ssh_finalize (void)
| Finalize and cleanup all libssh and cryptographic data structures. More...
int | ssh_init (void)
| Initialize global cryptographic data structures. More...

## Detailed Description

The libssh library is implementing the SSH protocols and some of its extensions.

This group of functions is mostly used to implment a SSH client. Some function are needed to implement a SSH server too.

## Function Documentation

## ◆ ssh_finalize()

int ssh_finalize | ( | void |  | ) |

Finalize and cleanup all libssh and cryptographic data structures.

This function should only be called once, at the end of the program!

Returns
  0 on succes, -1 if an error occured.
  0 otherwise

## ◆ ssh_init()

int ssh_init | ( | void |  | ) |

Initialize global cryptographic data structures.

This function should only be called once, at the beginning of the program, in the main thread. It may be omitted if your program is not multithreaded.

Returns
  0 on success, -1 if an error occured.

Referenced by ssh_bind_listen(), and ssh_connect().